Bug 50073 - test page cannot be printed until lpd is restarted
test page cannot be printed until lpd is restarted
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2001-07-26 10:57 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-02 04:48:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-26 10:57:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
after configuring a new printer, the "test" option fails with some useless
error message.  The "problem" is that lpd [apparently] need
to be restarted before a test page (or anything else, for that matter), can
be printed.  The config-tool should know this.

How reproducible:
Didn't try

Steps to Reproduce:
1. config new printer (in my case, jetDirect 4050 via tcp)
2. attempt to print test page

Additional info:
Comment 1 Crutcher Dunnavant 2001-07-30 16:04:31 EDT
agreed. Test functionality will be aware of this problem in the next version.
Comment 2 Need Real Name 2001-07-31 05:17:46 EDT
oops.  after I wrote this it was clear to me that someone wishing to
interpret my report in the narrowest possible fashion might conclude that
the fix is to change the behavior of the "test-page" option.

The problem is that lpd needs to be restarted after configuring this printer
(and probably any printer, but I don't know that).  Thus the fix is to have
the print-tool *automagically* restart lpd as the last step of the
configuration.  That is what I meant by "the config-tool should know this".

The failure of the "test-page" option is a symptom, not the disease.
Comment 3 Crutcher Dunnavant 2001-08-01 16:37:29 EDT
no. restarting lpd is expensive. you have to rebuild queues, and I dont want to
be thrashing the system when a knowledgeable user sits down to add 20 printers.

I thought about this for a while, and there are several internal oppinions, but
this is the way I am going.

But test page printing does force a restart now.
Comment 4 Need Real Name 2001-08-02 04:48:02 EDT
umm. I agree that a forced restart after adding every new printer is not
very clever, but it seems to me that allowing a user to create a printer
he can't use until he's restarted lpd is also not very clever (if you don't
tell him that).  There are other possibilities besides a blind restart or
no blind restart.  I have two suggestions.  Either:
A) pop up a diagog box with a nice little message ("you must restart lpd
   before this printer can be used")
B) check whether a restart is necessary at tool-exit, and either do it, or
   tell the user.

Silent failure isn't really what you want, is it?
Comment 5 Crutcher Dunnavant 2001-08-02 10:57:55 EDT
I am not doing either.

a) I'd have to pop up this little dialog after /every/ change. People only have
to learn this once, and I'm not writing nag-ware.

b) Users are permitted to change their minds. I will not save changes or restart
 lpd without their concent.

Note You need to log in before you can comment on or make changes to this bug.